### Method

# Fwupd Remote set_password

since: 2.0.0

#### Declaration [src]

    void
    fwupd_remote_set_password (
      FwupdRemote* self,
      const gchar* password
    )

#### Description [src]

Sets the remote password.

Available since: 2.0.0

#### Parameters

`password`

  Type: `const gchar*`

  An optional password.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.